
Application: gvSIG desktop - gvSIG bugs #2520
No carga raster
05/08/2014 10:47 PM - José Vicente Higón

Status: Closed % Done: 0%
Priority: Immediate Spent time: 0.00 hour
Assignee: Ignacio Brodín
Category: Raster
Target version: 2.1.0-2228-testing
Severity: Blocker Add-on version:
gvSIG version: 2.1.0 Add-on build:
gvSIG build: 2227 Add-on resolve version:
Operative System: Linux Add-on resolve build:
Keywords: Proyecto:
Has patch: No Hito:
Add-on name: Unknown
Description

Al intentar cargar cualquier raster, un TIF por ejemplo, no lo carga y salta una excepción
Probado en la distro de 64
(soy Alvaro para dudas)

History
#1 - 05/08/2014 10:50 PM - José Vicente Higón
- File gvSIG.log added

#2 - 05/09/2014 10:09 AM - Ignacio Brodín

Me he descargado la 2227 versión linux 32 y 64 bits y ejecutando en sendos Ubuntus 12.04. En ambas puedo cargar ráster. Los paquetes ráster no
han cambiado desde la 2226, así que me temo que necesito más datos ya que parece que la otra te funcionaba bien. ¿Has cambiado de sistema
operativo? ¿Tienes la 2226 y te cargan bien las mismas capas?

#3 - 05/09/2014 02:00 PM - José Vicente Higón
Hola Nacho, soy Chevi. Te cuento porque el error salió en mi ordenador:
    -  SO Ubuntu 13.10 64bits
    -  JVM que viene con el sistema. OpenJDK 7 64 bits
    -  He ido al directorio native y he ejecutado un ldd sobre la librería de jgdal y parece que falte un link simbólico

jvhigon@chevi-laptop:~/apps/gvSIG-2.1.0/native$ ldd libjgdal2.0.4.so 
    linux-vdso.so.1 =>  (0x00007fffe31fe000)
    libgdal.so.1 => not found
    libstdc++.so.6 => /usr/lib/x86_64-linux-gnu/libstdc++.so.6 (0x00007ffb145a1000)
    libm.so.6 => /lib/x86_64-linux-gnu/libm.so.6 (0x00007ffb1429c000)
    libgcc_s.so.1 => /lib/x86_64-linux-gnu/libgcc_s.so.1 (0x00007ffb14086000)
    libc.so.6 => /lib/x86_64-linux-gnu/libc.so.6 (0x00007ffb13cbe000)
    /lib64/ld-linux-x86-64.so.2 (0x00007ffb14ad5000)

He creado el link y ya funciona correctamente

 ln -s libgdal.so.1.17.1 libgdal.so.1
#4 - 05/12/2014 03:09 PM - Ignacio Brodín

Puedes intentar actualizarte el paquete org.gvsig.raster.gdal al build number 57? Borra primero el enlace simbólico que has hecho y así sabremos si
realmente funciona. Te lo puedes bajar de aquí porque aún no está en la distri

https://devel.gvsig.org/download/projects/Raster/pool/org.gvsig.raster.gdal.app/gvSIG-desktop-2.1.0-org.gvsig.raster.gdal.app-2.2.2-57-final-lin-x86_6
-j1_5.gvspkg

#5 - 05/13/2014 01:01 PM - Álvaro Anguix
- Status changed from New to Awaiting response

#6 - 05/15/2014 11:16 AM - Álvaro Anguix
- Status changed from Awaiting response to Fixed

Comprobado. Funciona. Lo paso a fixed.

#7 - 05/22/2014 03:04 AM - Joaquín  del Cerro Murciano
- Target version changed from 2.1.0-2259-rc3 to 2.1.0-2228-testing

#8 - 06/03/2014 06:22 PM - Álvaro Anguix
- Status changed from Fixed to Closed

Files
gvSIG.log 30.8 KB 05/08/2014 José Vicente Higón
